faust (2.50.6+ds0-1) unstable; urgency=medium

  * New upstream version 2.50.6+ds0
    + Refresh patches
    + Remove patches applied upstream
  * Add patch to avoid bashisms
  * Update d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 07 Oct 2022 22:15:56 +0200

faust (2.41.1~ds0-2) unstable; urgency=medium

  * Add patch to prevent static linking against libsndfile (Closes: #1020000)
  * Switch d/watch to use github-API for monitoring releases

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 10:46:33 +0200

faust (2.41.1~ds0-1) unstable; urgency=medium

  * New upstream version 2.41.1~ds0
  * Remove faust2* scripts that are known to not work
    (E.g. there's no use to ship a generator for macOS AudioUnits)
    + Only create manpages for installed files
  * d/patches:
    + Refresh patches
    + Update spelling patch
    + Rename patch to 'silent-which'
    + Add patches to generate compilable code for various faust2* scripts
    + Add patch to prevent underlinking of libfaustmachine/libOSCFaust
    + Patch to fix usage printout of 'faust2atomsnippets'
  * Fix dependencies
    + Recommend a generic C++ compiler rather than clang...
    + Move faust2* specific dependencies to 'Suggests'
      We don't want to pull in 3GB of additional dependencies that are never
      used.
      Instead, we now +suggest* all the possibly useful packages.
      For the specific dependencies of a given faust2+ script, check out
      /usr/share/doc/faust/README.Debian
    + Drop Recommends on libgtk2.0-dev/libjack (LP: #1970771)
    + Drop Suggests on editors (e.g. 'kate')
    + Add Recommends for 'zip' and 'perl'
  * Install syntax-highlighting for emacs, vim, nano, gedit and more.
  * Export CC/CXX to work with ccache
  * Apply 'wrap-and-sort -ast'
  * Relax lintian-overrides
  * Regenerate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Jul 2022 15:08:04 +0200

faust (2.40.0~ds0-1) unstable; urgency=medium

  * New upstream version 2.40.0~ds0
    * Refresh patches
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Apr 2022 18:40:00 +0200

faust (2.37.3~ds0-1) unstable; urgency=medium

  * New upstream version 2.37.3~ds0
    * (Closes: #1000930)
    * Refresh patches
  * Add patch to silence internal invocation of 'which'
  * Add patch to fix inkscape invocation
  * B-D on ruby:any (it needs to run on the build host)
  * Tighten lintian overrides
  * Updated d/copyright
    * Regenerated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 03 Dec 2021 11:38:24 +0100

faust (2.33.1~ds0-1) unstable; urgency=medium

  * New upstream version 2.33.1~ds0

  * Refresh patches, drop those applied upstream
  * Update privacy.patch
  * Install faustremote
  * Add lintian-overrides for some faust-generated files in sources
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Sep 2021 11:25:37 +0200

faust (2.30.5~ds0-2) unstable; urgency=medium

  * Don't include <sys/sysctl.h> on GNU/Hurd (Closes: #967984)
  * Hack to work around the missing PATH_MAX on GNU/Hurd

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Jan 2021 13:06:38 +0100

faust (2.30.5~ds0-1) unstable; urgency=medium

  * New upstream version 2.30.5~ds0
    (Closes: #967984)

  [ Olivier Humbert ]
  * d/control: utter important change :)
  * d/changelog: unneeded empty lines removed

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 26 Jan 2021 22:51:58 +0100

faust (2.27.2~ds1-1) unstable; urgency=medium

  * New upstream version 2.27.2~ds1
    (Closes: #964595, #963064)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Use installed manpage
  * Don't compress faust-quick-reference.pdf
  * Install usage.sh snippet in /usr/share/faust/utils/
  * Add more binaries to install
  * Add salsa-ci configuration
    * Allow reprotest to fail on salsa-ci
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Drop B-D on dh-exec
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 13 Aug 2020 21:39:42 +0200

faust (2.20.2~ds0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 2.20.2~ds0
    * Refresh patches
    * More spelling fixes
  * Explicitly recommend "python3"
  * Declare that building this package does not require "root" powers
  * Reordered homepage field
  * Remove files from d/copyright that are not longer in the package
  * Remove lintian-overrides for removed files
  * Added more lintian-overrides after checking with upstream
  * Update version-mangling in d/watch

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https + remove 1 empty line)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Jan 2020 11:17:45 +0100

faust (2.15.11~ds1-3) unstable; urgency=medium

  * Source-only upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Sep 2019 15:12:15 +0200

faust (2.15.11~ds1-2) unstable; urgency=medium

  * Package 'libfaust2' containing the support libraries (Closes: #939704)
  * Add patch to fix minor spelling mistakes
  * Update lintian-overrides for sources
  * Update d/copyright
    * Regenerate d/copyright_hints
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Sep 2019 14:37:35 +0200

faust (2.15.11~ds1-1) unstable; urgency=medium

  * New upstream version 2.15.11~ds1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Exclude CMake artifacts and pre-built binaries from source-package
  * Patch to not install stripped-away binaries
  * Install WHATSNEW.md as upstream Changelog
  * Drop obsolete d/source/local-options
  * Fixed dversionmangling in d/watch

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Aug 2019 14:32:58 +0200

faust (2.14.4~repack2-1) unstable; urgency=medium

  * New upstream version 2.14.4~repack2
    * Remove spelling patch (applied upstream)
  * Exclude pre-built .dll/.so files from source package
  * Refresh d/copyright(_hints)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 06 Feb 2019 09:18:17 +0100

faust (2.13.14~git20181219.1.cd34eccb.repack1-1) unstable; urgency=medium

  * New upstream version 2.13.14~git20181219.1.cd34eccb.repack1
    (Closes: #916886)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Switched build-system to dh
    * Set DEB_SRCDIR so the build-system can be found
  * Added patches
    * to pass LLVM-version to build
    * to protect the users' privacy
    * to fix spelling mistakes
  * Updated build-dependences (including llvm)
  * Updated Recommends (including clang)
  * Updated lintian-overrides
    * Removed unused overrides
    * Updated lintian-overrides for missing-sources
  * Removed sources for minified JS that is no longer included
  * Removed stray whitespace in d/changelog
  * Updated d/copyright
    * Added licensecheck target
    * Regenerated d/copyright_hints
    * Also fixed Files-Excluded for faust2
  * Use https:// for upstream homepage
  * Updated d/watch to point to github
  * Bumped dh-compat to 11
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 09 Jan 2019 21:49:53 +0100

faust (0.9.95~repack1-2) unstable; urgency=medium

  * faust sources are now in /usr/share/faust/
  * Fixed install mess
  * Mark faust-common as Multi-Arch:foreign
  * Updated d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 04 Jan 2017 11:34:30 +0100

faust (0.9.95~repack1-1) unstable; urgency=medium

  * New upstream version 0.9.95~repack1 (Closes: #715891)

  * Removed patches applied upstream.
  * Adjusted install targets to README->README.md rename
  * Dropped unneeded hack to copy files from /usr/lib/ to /usr/share/
  * Made sure that code files are non-executable

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2017 16:35:39 +0100

faust (0.9.90~repack1-1) unstable; urgency=medium

  * New upstream version 0.9.90~repack1

  * Refreshed patches.
    * Added '.patch' suffix to Debian-patches
  * Added new patches
    * Closed privacy breach
    * Fixed 'make clean' target
  * Factored out binary package "faust-common"
  * Removed binary build-artefacts from /usr/share
  * Added missing sources
    * (pseudo) build-target 'missing-sources' to automate this
  * Added lintian-override for .dsp project files
  * Added local-options to d/source/
  * Added gbp config
  * Updated d/copyright
  * Installed WHATSNEW as upstream changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Sep 2016 22:06:12 +0200

faust (0.9.73~repack1-2) unstable; urgency=medium

  * Made build reproducible.
    Thanks to Reiner Herrmann <reiner@reiner-h.de> (Closes: #828977)
  * Moved lintian-overrides for source-package to d/source/
  * Updated d/copyright_hints
  * Removed (more) patches applied upstream
  * Re-indented comment in d/rules
  * d/watch needs dversionmangle

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Jul 2016 15:38:06 +0200

faust (0.9.73~repack1-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Adopt package (Closes: #823423)
  * Imported Upstream version 0.9.73~repack1
    * Refreshed patches
    * Renamed 'destdir' patch to 'strip-usrlocal'
  * Updated d/watch
  * Spelling fixes
  * Make build-system respect LDFLAGS
  * Switched build-system to cdbs
    * B-D on cdbs
    * Yay, license-check!
    * Rewrote d/rules
  * Generated manpages
  * Moved arch-independent stuff into /usr/share and create compat symlinks
  * Prefixed d/files with packagename
  * Rewrote d/copyright to DEP-5
  * Added lintian override for false-positive 'source-is-missing'
  * d/control
    * Added Vcs-* stanzas
    * Moved Homepage stanza into Source section
    * Updated to dh compat-level 9
    * Versioned B-D on dh-exec
    * Explicitely depend on 'python'
    * Updated to standards 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 May 2016 23:07:57 +0200

faust (0.9.46-2) unstable; urgency=low

  * Fix "ftbfs with GCC-4.7":
    - debian/patches/unistd: Include <unistd.h> where necessary.
      (Closes: #667163)

 -- Mario Lang <mlang@debian.org>  Wed, 04 Apr 2012 13:52:01 +0200

faust (0.9.46-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU, thanks to Nobuhiro Iwamatsu.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/patches/destdir: Fix qt example compilation (Closes: Bug#660587).
  * debian/patches/atoi,
    debian/patches/kFreeBSD: Extract changes from source format 1.0 diff.gz.
  * debian/control,
    debian/rules: Drop cdbs.  Use debhelper >= 7.0.50~ instead.
  * Bump Standards-Version to 3.9.3.

 -- Mario Lang <mlang@debian.org>  Sun, 25 Mar 2012 00:51:55 +0100

faust (0.9.43-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on Kfreebsd. (Closes: #644590)
    Add kfreebsd support to architecture/osclib/oscpack/Makefile.
  * Fix FTBFS on all architecture by atoi. (Closes: #652322)
    Add "#include <stdlib.h>" to architecture/misc.h.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 09 Mar 2012 08:43:21 +0900

faust (0.9.43-1) unstable; urgency=low

  * New upstream release (Closes: Bug#604050).

 -- Mario Lang <mlang@debian.org>  Wed, 07 Sep 2011 17:05:27 +0200

faust (0.9.24-1) unstable; urgency=low

  * New upstream release
  * Upgrade Standsrds-Version from 3.8.2 to 3.8.4.

 -- Mario Lang <mlang@debian.org>  Wed, 19 May 2010 13:53:01 +0200

faust (0.9.9.4b-2) unstable; urgency=low

  * Fix "FTBFS with GCC 4.4: missing #include" (Closes: #505365)
  * Fix a few parenthesis suggestion warnings to make the build log less
    verbose.
  * Build-Depend on debhelper >= 5 and use compat level 5.
  * No longer ship /usr/lib/faust/VST which contains OSX specific stuff
    for Xcode.
  * Install kate syntax highlighting support in
    /usr/share/kde4/apps/katepart/syntax.
  * debian/control:
    - Recommend those package required to build the default example set
      out of the box.
    - Suggest kate since we provide syntax highlighting support.
    - Depend on ${misc:Depends} to make lintian happy.
    - Upgrade to Standards-Version 3.8.2 (no changes).
  * debian/docs: Install more of the available documentation.

 -- Mario Lang <mlang@debian.org>  Sat, 18 Jul 2009 17:00:06 +0200

faust (0.9.9.4b-1) unstable; urgency=low

  * New upstream release.
  * More work on gcc 4.3 patch (thanks for the NMU) (Closes: Bug#417185).
  * Ack previously missed NMU (thanks) (Closes: Bug#355997).
  * Update Standards-Version to 3.7.3 (no changes).
  * debian/control: Add Homepage field.

 -- Mario Lang <mlang@debian.org>  Fri, 11 Apr 2008 14:54:49 +0200

faust (0.9.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417185).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 11:48:39 +0000

faust (0.9.9.1-1) unstable; urgency=low

  * New upstream release

 -- Mario Lang <mlang@debian.org>  Tue, 29 May 2007 00:06:45 +0200

faust (0.9.8.7-2) unstable; urgency=low

  * Fix debian/watch file.
  * debian/faust.examples: Explicitly list files to install so that we
    do not accidentally pick up precompiled binaries shipped
    with .orig.tar.gz (Closes: Bug#419583).
  * Disable -ffriend-injection again since it seems no longer to be
    needed.

 -- Mario Lang <mlang@debian.org>  Fri, 18 May 2007 15:01:48 +0200

faust (0.9.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Mon, 09 Apr 2007 22:51:05 +0200

faust (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Upgrade Standards-Version to 3.7.2.

 -- Mario Lang <mlang@debian.org>  Mon,  9 Oct 2006 11:05:30 +0200

faust (0.9.3-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Apply patch from Ben Hutchings to declare friend functions (Closes:
    #355997).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 18:01:50 +0200

faust (0.9.3-2) unstable; urgency=low

  * Add flex to Build-Depends (Closes: Bug#319481).

 -- Mario Lang <mlang@debian.org>  Fri, 22 Jul 2005 15:30:36 +0200

faust (0.9.3-1) unstable; urgency=low

  * Initial release.

 -- Mario Lang <mlang@debian.org>  Tue,  5 Jul 2005 13:13:05 +0200
